import cx from 'classnames';
import React from 'react';
import TableCell from "cozy-ui/transpiled/react/TableCell";
import { makeStyles } from "cozy-ui/transpiled/react/styles";
var useStyles = makeStyles({
  root: {
    width: function width(_ref) {
      var column = _ref.column;
      return column.width;
    },
    maxWidth: function maxWidth(_ref2) {
      var column = _ref2.column;
      return column.maxWidth;
    }
  }
});

var Cell = function Cell(_ref3) {
  var _column$textAlign;

  var row = _ref3.row,
      columns = _ref3.columns,
      column = _ref3.column,
      children = _ref3.children;
  var classes = useStyles({
    column: column
  });
  return /*#__PURE__*/React.createElement(TableCell, {
    key: column.id,
    classes: classes,
    className: cx({
      sortable: column.sortable !== false
    }),
    align: (_column$textAlign = column.textAlign) !== null && _column$textAlign !== void 0 ? _column$textAlign : 'left',
    padding: column.disablePadding ? 'none' : 'normal'
  }, children ? React.Children.map(children, function (child) {
    return /*#__PURE__*/React.isValidElement(child) ? /*#__PURE__*/React.cloneElement(child, {
      row: row,
      columns: columns,
      column: column,
      cell: row[column.id]
    }) : null;
  }) : row[column.id]);
};

export default /*#__PURE__*/React.memo(Cell);