import _extends from "@babel/runtime/helpers/extends";
import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["rows", "columns", "defaultOrder", "secondarySort", "selectedItems", "onSelect", "onSelectAll", "isSelectedItem", "componentsProps", "dragProps"];
import React, { useState, forwardRef } from 'react';
import { TableVirtuoso } from 'react-virtuoso';
import CustomDragLayer from "cozy-ui/transpiled/react/Table/Virtualized/Dnd/CustomDrag/CustomDragLayer";
import FixedHeaderContent from "cozy-ui/transpiled/react/Table/Virtualized/FixedHeaderContent";
import RowContent from "cozy-ui/transpiled/react/Table/Virtualized/RowContent";
import { stableSort, getComparator } from "cozy-ui/transpiled/react/Table/Virtualized/helpers";
import virtuosoComponents from "cozy-ui/transpiled/react/Table/Virtualized/virtuosoComponents";
var VirtualizedTable = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var rows = _ref.rows,
      columns = _ref.columns,
      defaultOrder = _ref.defaultOrder,
      secondarySort = _ref.secondarySort,
      _ref$selectedItems = _ref.selectedItems,
      selectedItems = _ref$selectedItems === void 0 ? [] : _ref$selectedItems,
      _ref$onSelect = _ref.onSelect,
      onSelect = _ref$onSelect === void 0 ? function () {} : _ref$onSelect,
      _ref$onSelectAll = _ref.onSelectAll,
      onSelectAll = _ref$onSelectAll === void 0 ? function () {} : _ref$onSelectAll,
      _ref$isSelectedItem = _ref.isSelectedItem,
      isSelectedItem = _ref$isSelectedItem === void 0 ? function () {} : _ref$isSelectedItem,
      componentsProps = _ref.componentsProps,
      dragProps = _ref.dragProps,
      props = _objectWithoutProperties(_ref, _excluded);

  var _useState = useState('asc'),
      _useState2 = _slicedToArray(_useState, 2),
      order = _useState2[0],
      setOrder = _useState2[1];

  var _useState3 = useState(defaultOrder),
      _useState4 = _slicedToArray(_useState3, 2),
      orderBy = _useState4[0],
      setOrderBy = _useState4[1];

  var _useState5 = useState([]),
      _useState6 = _slicedToArray(_useState5, 2),
      itemsInDropProcess = _useState6[0],
      setItemsInDropProcess = _useState6[1]; // array of Ids, for dragndrop feature


  var sortedData = stableSort(rows, getComparator(order, orderBy));
  var data = secondarySort ? secondarySort(sortedData) : sortedData;

  var handleSort = function handleSort(property) {
    var isAsc = orderBy === property && order === 'asc';
    setOrder(isAsc ? 'desc' : 'asc');
    setOrderBy(property);
  };

  var handleSelectAll = function handleSelectAll(event) {
    var _event$target;

    if (event !== null && event !== void 0 && (_event$target = event.target) !== null && _event$target !== void 0 && _event$target.checked) {
      onSelectAll(rows);
      return;
    }

    onSelectAll([]);
  };

  return /*#__PURE__*/React.createElement(TableVirtuoso, _extends({}, props, {
    ref: ref,
    data: data,
    context: {
      isSelectedItem: isSelectedItem,
      selectedItems: selectedItems,
      dragProps: dragProps,
      itemsInDropProcess: itemsInDropProcess,
      setItemsInDropProcess: setItemsInDropProcess
    },
    components: virtuosoComponents,
    fixedHeaderContent: function fixedHeaderContent() {
      return /*#__PURE__*/React.createElement(FixedHeaderContent, {
        columns: columns,
        rowCount: rows.length,
        selectedCount: selectedItems.length,
        order: order,
        orderBy: orderBy,
        onClick: handleSort,
        onSelectAllClick: handleSelectAll
      });
    },
    itemContent: function itemContent(_index, row) {
      var _componentsProps$rowC;

      return /*#__PURE__*/React.createElement(RowContent, {
        index: _index,
        row: row,
        columns: columns,
        isSelectedItem: isSelectedItem,
        onSelectClick: onSelect
      }, componentsProps === null || componentsProps === void 0 ? void 0 : (_componentsProps$rowC = componentsProps.rowContent) === null || _componentsProps$rowC === void 0 ? void 0 : _componentsProps$rowC.children);
    },
    rowSpan: 2
  }));
});
VirtualizedTable.displayName = 'VirtualizedTable';

var VirtuosoTableWrapper = function VirtuosoTableWrapper(props) {
  var _props$dragProps;

  if (!((_props$dragProps = props.dragProps) !== null && _props$dragProps !== void 0 && _props$dragProps.enabled)) {
    return /*#__PURE__*/React.createElement(VirtualizedTable, props);
  }

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(CustomDragLayer, {
    dragId: props.dragProps.dragId
  }), /*#__PURE__*/React.createElement(VirtualizedTable, props));
};

export default VirtuosoTableWrapper;