import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import _extends from "@babel/runtime/helpers/extends";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
var _excluded = ["context"],
    _excluded2 = ["item", "context"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import React, { forwardRef } from 'react';
import DnDConfigWrapper from "cozy-ui/transpiled/react/Table/Virtualized/Dnd/DnDConfigWrapper";
import TableRowDnD from "cozy-ui/transpiled/react/Table/Virtualized/Dnd/TableRow";
import Table from "cozy-ui/transpiled/react/Table";
import Paper from "cozy-ui/transpiled/react/Paper";
import TableBody from "cozy-ui/transpiled/react/TableBody";
import TableContainer from "cozy-ui/transpiled/react/TableContainer";
import TableFooter from "cozy-ui/transpiled/react/TableFooter";
import TableHead from "cozy-ui/transpiled/react/TableHead";
import TableRow from "cozy-ui/transpiled/react/TableRow";

var _TableContainer = /*#__PURE__*/forwardRef(function (props, ref) {
  return /*#__PURE__*/React.createElement(TableContainer, _extends({}, props, {
    ref: ref,
    component: Paper,
    style: _objectSpread({
      zIndex: 'var(--zIndex-app)'
    }, props.style),
    elevation: 0
  }));
});

_TableContainer.displayName = '_TableContainer';
var virtuosoComponents = {
  Scroller: /*#__PURE__*/forwardRef(function (_ref, ref) {
    var _context$dragProps;

    var context = _ref.context,
        props = _objectWithoutProperties(_ref, _excluded);

    if (!((_context$dragProps = context.dragProps) !== null && _context$dragProps !== void 0 && _context$dragProps.enabled)) {
      return /*#__PURE__*/React.createElement(_TableContainer, _extends({}, props, {
        ref: ref
      }));
    }

    return /*#__PURE__*/React.createElement(DnDConfigWrapper, {
      ref: ref
    }, /*#__PURE__*/React.createElement(_TableContainer, _extends({}, props, {
      ref: ref
    })));
  }),
  Table: /*#__PURE__*/forwardRef(function (props, ref) {
    return /*#__PURE__*/React.createElement(Table, _extends({}, props, {
      ref: ref
    }));
  }),
  TableHead: /*#__PURE__*/forwardRef(function (props, ref) {
    return /*#__PURE__*/React.createElement(TableHead, _extends({}, props, {
      ref: ref
    }));
  }),
  TableBody: /*#__PURE__*/forwardRef(function (props, ref) {
    return /*#__PURE__*/React.createElement(TableBody, _extends({}, props, {
      ref: ref
    }));
  }),
  TableFooter: /*#__PURE__*/forwardRef(function (props, ref) {
    return /*#__PURE__*/React.createElement(TableFooter, _extends({}, props, {
      ref: ref
    }));
  }),
  TableRow: /*#__PURE__*/forwardRef(function (_ref2, ref) {
    var _context$dragProps2;

    var item = _ref2.item,
        context = _ref2.context,
        props = _objectWithoutProperties(_ref2, _excluded2);

    var isSelected = context === null || context === void 0 ? void 0 : context.isSelectedItem(item);
    var isDisabled = context === null || context === void 0 ? void 0 : context.itemsInDropProcess.includes(item._id);

    if (!((_context$dragProps2 = context.dragProps) !== null && _context$dragProps2 !== void 0 && _context$dragProps2.enabled)) {
      return /*#__PURE__*/React.createElement(TableRow, _extends({}, props, {
        ref: ref,
        selected: isSelected,
        hover: true
      }));
    }

    return /*#__PURE__*/React.createElement(TableRowDnD, _extends({}, props, {
      item: item,
      context: context,
      selected: isSelected,
      disabled: isDisabled,
      hover: true
    }));
  })
};
export default virtuosoComponents;